ros-noetic-mrpt-localization (1.0.5-1focal) focal; urgency=high

  * Merge branch 'mrpt-ros-pkg:ros1' into ros1
  * Add new parameters to control initial uncertainty: initial_pose_std_xy,initial_pose_std_phi
  * Contributors: Jose Luis Blanco Claraco, Shravan S Rai

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 18 Mar 2024 23:00:00 -0000

ros-noetic-mrpt-localization (1.0.4-1focal) focal; urgency=high

  * Fix build against mrpt >=2.7.0
  * add initial pose for localization as param
  * Contributors: Jose Luis Blanco-Claraco, SRai22

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 27 Mar 2023 22:00:00 -0000

ros-noetic-mrpt-localization (1.0.3-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 24 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-localization (1.0.2-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 24 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-localization (1.0.1-1focal) focal; urgency=high

  * fix all build errors; removed now obsolete tf_prefix
  * Ported to tf2 and mrpt::ros1bridge
  * modernize cmake
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 23 Jun 2022 22:00:00 -0000

ros-noetic-mrpt-localization (1.0.0-1focal) focal; urgency=high

  * Update URLs to https
  * Update build dep to mrpt2
  * Merge pull request #118 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/118> from mx-robotics/ag-remove_laser_tf_cache
    continuous laser pose update from tf tree fag added
  * added ROS parameter continuous sensor pose update
  * Fix incorrect publication of estimated pose (Closes: #117 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/117>)
  * Contributors: Jose Luis Blanco Claraco, Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 29 Apr 2022 22:00:00 -0000

ros-noetic-mrpt-localization (0.1.26-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 04 Oct 2019 22:00:00 -0000

ros-noetic-mrpt-localization (0.1.25-1focal) focal; urgency=high

  * fix build against mrpt2
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 03 Oct 2019 22:00:00 -0000

ros-noetic-mrpt-localization (0.1.24-1focal) focal; urgency=high

  * Fix build against MRPT 1.9.9
  * Contributors: Inounx, Jose Luis Blanco-Claraco, Julian Lopez Velasquez, Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 11 Apr 2019 22:00:00 -0000

ros-noetic-mrpt-localization (0.1.23-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 13 Jun 2018 22:00:00 -0000

ros-noetic-mrpt-localization (0.1.22-1focal) focal; urgency=high

  * fix all catkin_lint errors
  * remove exec +x flag to cfg files
  * Contributors: Jose Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 21 May 2018 22:00:00 -0000

ros-noetic-mrpt-localization (0.1.21-1focal) focal; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * fix build in mrpt 2.0
  * optimized build (-O3)
  * Fix travis (#94 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/94>)
    * add dep stereo_msgs
    * add dep stereo_msgs
    * fix minor warnigngs and errors
  * fix use c++14
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Removed c++11 declarations in cmake
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Merge pull request #74 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/74> from bergercookie/devel
    Use C++11 in mrpt_bridge, mrpt_localization
  * Merge pull request #77 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/77> from corot/master
    Allow using maps from topic
  * Allow using maps from topic
  * Use C++11 in mrpt_bridge, mrpt_localization
  * Merge pull request #72 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/72> from bergercookie/devel
    Add more conversion methods for CNetworkOfPoses classes
  * Correct include guard
  * Fix debug messages: (#65 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/65>)
    * replace printf with log_info
    * read and use debug param
    * dumping to console only once
    Also publish pose even if not updating the filter (sorry for mixing commits)
  * Fix debug messages:
    * replace printf with log_info
    * read and use debug param
    * dumping to console only once
    Also publish pose even if not updating the filter (sorry for mixing commits)
  * put right the covariance matrix initialization (#63 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/63>)
  * Merge pull request #61 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/61> from corot/master
    Prevent extrapolation into the past when publishing the tf
  * Fix a bug in the way I handle filter state
  * Prevent extrapolation into the past when publishing the tf and handle update/not update more nicelly. Also, ROS-format variables
  * Contributors: Ashish Raste, Borys Tymchenko, Hunter Laux, Jorge Santos, Jorge Santos Simón, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Markus Bader, Nikos Koukis, corot

 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 26 Apr 2018 22:00:00 -0000

ros-noetic-mrpt-localization (0.1.20-1focal) focal; urgency=high

  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * fix build in mrpt 2.0
  * optimized build (-O3)
  * Fix travis (#94 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/94>)
    * add dep stereo_msgs
    * add dep stereo_msgs
    * fix minor warnigngs and errors
  * fix use c++14
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Removed c++11 declarations in cmake
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Merge pull request #74 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/74> from bergercookie/devel
    Use C++11 in mrpt_bridge, mrpt_localization
  * Merge pull request #77 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/77> from corot/master
    Allow using maps from topic
  * Allow using maps from topic
  * Use C++11 in mrpt_bridge, mrpt_localization
  * Merge pull request #72 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/72> from bergercookie/devel
    Add more conversion methods for CNetworkOfPoses classes
  * Correct include guard
  * Fix debug messages: (#65 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/65>)
    * replace printf with log_info
    * read and use debug param
    * dumping to console only once
    Also publish pose even if not updating the filter (sorry for mixing commits)
  * Fix debug messages:
    * replace printf with log_info
    * read and use debug param
    * dumping to console only once
    Also publish pose even if not updating the filter (sorry for mixing commits)
  * put right the covariance matrix initialization (#63 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/63>)
  * Merge pull request #61 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/61> from corot/master
    Prevent extrapolation into the past when publishing the tf
  * Fix a bug in the way I handle filter state
  * Prevent extrapolation into the past when publishing the tf and handle update/not update more nicelly. Also, ROS-format variables
  * Contributors: Ashish Raste, Borys Tymchenko, Jorge Santos, Jorge Santos Simón, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Markus Bader, Nikos Koukis, corot

 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 25 Apr 2018 22:00:00 -0000

ros-noetic-mrpt-localization (0.1.18-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 21 Jan 2017 23:00:00 -0000

ros-noetic-mrpt-localization (0.1.17-1focal) focal; urgency=high

  * Do not consider epsilon velocities (<1e-3) as robot moving
  * make catkin_lint clean
  * Remove all errors generated by catkin_lint and cleanup unused templates from CMakeLists.txt files
  * Issue #53 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/53>: add a parameter to disable updating when robot not moving
  * Contributors: Jorge Santos, Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 21 Jan 2017 23:00:00 -0000

ros-noetic-mrpt-localization (0.1.16-1focal) focal; urgency=high

  * Fix for issue #50 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/50>
  * Tabs to spaces
  * Fix for issue #48 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/48>
  * Remove unneeded include
  * Allow robot poses from external algorithms to be integrated into mrpt particles filter
  * fix typo
  * Contributors: Jorge Santos, Jorge Santos Simón, Jose-Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Mon, 12 Dec 2016 23:00:00 -0000

ros-noetic-mrpt-localization (0.1.15-1focal) focal; urgency=high

  * Fix build against MRPT 1.5.0
  * Use ros::Time::now() to time stamp first 10 poses
    If not, they contain wall time, what when working on simulation prevents robot_localization fusion to work.
    Other than that, the change is innocuous
  * PR #33 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/33> prevented pose initialization with the robot stopped; fix it!
  * Stop mrpt_localization updating when robot is not moving (odom twist is zero)
  * Contributors: Jorge Santos, Jorge Santos Simón, Jose-Luis Blanco-Claraco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 05 Nov 2016 23:00:00 -0000

ros-noetic-mrpt-localization (0.1.14-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sun, 11 Sep 2016 22:00:00 -0000

ros-noetic-mrpt-localization (0.1.13-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 02 Sep 2016 22:00:00 -0000

ros-noetic-mrpt-localization (0.1.12-1focal) focal; urgency=high

  * Put the ROS log setting withing if MRPT_VERSION>=0x150 so it doesn't break the compilation agains .deb mrpt libs
  * Restamp pose on first iteration with ROS time because filter time is still not initialized and can create problems when integrating on robot_localization
  * Set ROS log level also on MRPT internal log system. Prevents spamming of [FIXED_SAMPLING] and [ADAPTIVE SAMPLE SIZE] messages
  * Modify so we can use in conjuntion with robot_localization package: provide a PoseWithCovarianceStamped, allow disabling tf publishing and make transform_tolerance a parameter
  * Contributors: Jorge Santos

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 02 Sep 2016 22:00:00 -0000

ros-noetic-mrpt-localization (0.1.11-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 20 Aug 2016 22:00:00 -0000

ros-noetic-mrpt-localization (0.1.10-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 04 Aug 2016 22:00:00 -0000

ros-noetic-mrpt-localization (0.1.9-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 04 Aug 2016 22:00:00 -0000

ros-noetic-mrpt-localization (0.1.8-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 28 Jun 2016 22:00:00 -0000

ros-noetic-mrpt-localization (0.1.7-1focal) focal; urgency=high

  * Fix laser scan stamp problem. TODO: something is still broken since nothing pops up for mrpt_pose
  * fix almost everything to add a pose publisher
  * Contributors: Megacephalo

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sun, 19 Jun 2016 22:00:00 -0000

ros-noetic-mrpt-localization (0.1.6-1focal) focal; urgency=high

  * New support for range-only (RO) localization
  * fix build against mrpt <1.3.0
  * Contributors: Jose Luis Blanco, Jose Luis Blanco-Claraco, Raphael Zack

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 19 Mar 2016 23:00:00 -0000

ros-noetic-mrpt-localization (0.1.5-1focal) focal; urgency=high

  * fix to strange pf-localization bug
  * Cleaner build against mrpt 1.3.0
  * Fix build against mrpt 1.3.0
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 28 Apr 2015 22:00:00 -0000

ros-noetic-mrpt-localization (0.1.4-1focal) focal; urgency=high

  * dont publish if numSubscribers()==0
  * fixes for mrpt 1.3.0
  * Removed 'mrpt' dep from catkin_package().
    I *think* this is giving problems to dependant pkgs and is not needed...
  * pose_cov_ops removed from mrpt_navigation metapkg
  * localization: New param to configure sensor sources in a flexible way
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 26 Dec 2014 23:00:00 -0000

ros-noetic-mrpt-localization (0.1.3-1focal) focal; urgency=high

  * Fix many missing install files
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 17 Dec 2014 23:00:00 -0000

ros-noetic-mrpt-localization (0.1.2-1focal) focal; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 17 Dec 2014 23:00:00 -0000

ros-noetic-mrpt-localization (0.1.1-1focal) focal; urgency=high

  * First public binary release.

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 16 Dec 2014 23:00:00 -0000

ros-noetic-mrpt-localization (0.1.0-1focal) focal; urgency=high

  * consistent version numbers
  * fix build error without WX
  * Fixes broken dependencies
  * config and demos tested
  * localization working like amcl

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 16 Dec 2014 23:00:00 -0000


